## debian-security-support 13%2B2025.07.16

=== debian/changelog ===
debian-security-support (1:13+2025.07.16) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Add a supported package status. Closes: #1108170
  * Mark rust-sequoia-sqv as fully supported. Closes: #1106154
  * Add a DEP-8 test to verify that supported packages are correctly handled.
  * Stop disabling autopkgtest in the Salsa CI pipeline.

  [ Holger Levsen ]
  * deb13+deb12: add libsoup3 to limited support. Thanks to Simon McVittie.
    Closes: #1109118
  * deb13+12+11+10: add libsoup2.4 to limited support. Also thanks
    to Simon McVittie. Closes: #1109118

  [ Sylvain Beucler ]
  * deb11: mark python-setuptools as non-supported, for clarity, as it is part
    of the python2 non-supported ecosystem.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Jul 2025 14:09:24 +0200

debian-security-support (1:13+2025.06.17) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * check-support-status: query source:Package instead of Source to get the
    list of packages. Closes: #1106203.
  * security-support.deb13 and .deb12: fix typo related to gobgp.
  * security-support.deb11:
    - update release notes links from bullseye as the HTML version of the
      release notes is no longer available.
    - mark gobgp with limited support.

  [ Holger Levsen ]
  * security-support.deb13: mark mozjs128 as limited support (and drop mozjs78
    and mozjs102 from there as they are not part of trixie). Closes: #1105199.
    Thanks to Simon McVittie.

  [ Jochen Sprickerhof ]
  * security-support.deb11: fix package names. Thanks to Roberto C. Sánchez.

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jun 2025 15:56:37 +0200

debian-security-support (1:13+2025.05.07) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * deb13|12: python2.7 and python-stdlib-extensions have been removed long
    ago.

  [ Sylvain Beucler ]
  * deb13|12|11|10: Add musescore(2|3) to limited security support.

  [ Bastien Roucariès ]
  * deb13|12: Add gobgp as limited golang support.

  [ Holger Levsen ]
  * deb13: use references to
    https://www.debian.org/releases/trixie/release-notes instead of the
    bookworm ones.
  * debian/salsa-ci.yml: disable autopkgtests on salsa-ci.
  * Bump Standards-Version to 4.7.2, no changes needed.

  [ Santiago Ruano Rincón ]
  * deb11: EOL odoo in bullseye. Closes: #1100929.

 -- Holger Levsen <holger@debian.org>  Wed, 07 May 2025 20:32:35 +0200

debian-security-support (1:13+2025.04.12) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Merge -ended and -limited files. Closes: #1053462.

  [ Holger Levsen ]
  * Declare trixie as stable, so these codepathes can be tested.
  * README.source: update instructions what to do for new Debian releases, now
    that -ended and -limited files have been merged.

 -- Holger Levsen <holger@debian.org>  Sat, 12 Apr 2025 18:00:29 +0200

debian-security-support (1:13+2025.04.04) unstable; urgency=medium

  [ Sylvain Beucler ]
  * Add php-horde ecosystem to security-support-ended.12.
  * Add ckeditor3 to security-support-ended.12.
  * Add ckeditor3 to security-support-ended.11.

  [ Holger Levsen ]
  * Add debian/salsa-ci.yml to configure+use that pipeline.

 -- Holger Levsen <holger@debian.org>  Fri, 04 Apr 2025 14:48:37 +0200

debian-security-support (1:13+2025.01.30) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Add node-matrix-js-sdk to security-support-ended.deb11. Closes: #1094651.

 -- Holger Levsen <holger@debian.org>  Thu, 30 Jan 2025 22:37:18 +0100

debian-security-support (1:13+2025.01.20) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Mark libnet-easytcp-perl as unuspported for bookworm, see #1093386.

 -- Holger Levsen <holger@debian.org>  Mon, 20 Jan 2025 13:12:21 +0100

debian-security-support (1:13+2024.12.10) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.

  [ Holger Levsen ]
  * Drop spurios comma after Maintainer field, thanks buxy.

 -- Holger Levsen <holger@debian.org>  Tue, 10 Dec 2024 15:33:12 +0100

debian-security-support (1:13+2024.11.21) unstable; urgency=medium

  [ Holger Levsen ]
  * Add intel-mediasdk to security-support-ended.deb12. Closes: #1087718

  [ Tobias Frost ]
  * Add intel-mediasdk to security-support-ended.deb11. Closes: #1087718

 -- Holger Levsen <holger@debian.org>  Thu, 21 Nov 2024 13:54:29 +0100

debian-security-support (1:13+2024.10.07) unstable; urgency=medium

  * Drop openjdk-21 from security-support-limited.deb(12|13).
    Closes: #1079693
    openjdk-21 was not included in Bookworm after all and will be the default
    and supported jdk for Trixie.

 -- Holger Levsen <holger@debian.org>  Mon, 07 Oct 2024 20:28:47 +0200

debian-security-support (1:13+2024.09.30) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Move python2.7 ecosystem to security-support-ended.11.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Sep 2024 13:56:06 +0200

debian-security-support (1:13+2024.09.29) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Mark src:vte as limited supported in Debian bookworm and above.
    Thanks to Simon McVittie <smcv@debian.org> (Closes: #1082885)

 -- Holger Levsen <holger@debian.org>  Sun, 29 Sep 2024 19:30:17 +0200

debian-security-support (1:13+2024.08.21) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Include wpewebkit to security-support-limited.deb11 (Closes: #1035997)
    and then further move it to the ended support list.
  * Mark iotjs as EOLed in bullseye.

 -- Holger Levsen <holger@debian.org>  Wed, 21 Aug 2024 17:47:41 +0900

debian-security-support (1:13+2024.08.15) unstable; urgency=medium

  [ Moritz Muehlenhoff ]
  * Mark libreswan as EOLed in bullseye. Closes: #1072527.

  [ Sylvain Beucler ]
  * Add jython to security-support-limited.deb{11,12,13}.
  * Sync security-support-limited.deb11 from bullseye branch.
  * Add pypy/bullseye to security-support-limited.deb11.
  * Mark several packages as EOLed in bullseye:
    - phppgadmin
    - pytest-salt-factories


=== debian/control ===
Source: debian-security-support
Section: admin
Priority: optional
Maintainer: Debian Security Team <team@security.debian.org>
Uploaders: Holger Levsen <holger@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>,
Build-Depends: debhelper-compat (= 13),
    asciidoc,
    gettext,
    gawk,
    libfile-slurp-perl,
    libtemplate-perl,
    libtest-command-perl,
    libtest-differences-perl,
    mawk,
    original-awk,
    po-debconf,
    xmlto,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

Package: debian-security-support
Architecture: all
Depends: ${misc:Depends},
    adduser,
    gettext-base,
Description: Debian security support coverage checker
 For some Debian packages, it is not feasible to maintain full security
 support for all use cases through the full distribution release
 cycle.
 .
 This package provides a program to identify installed packages for
 which support has had to be limited or prematurely ended, and to
 alert the administrator.
 .
 New versions of this package with updated checklists will be provided
 via standard and/or extended security support.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

NEXT_VERSION_ID=14

DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
ifeq (,$(DEBIAN_VERSION))
  DEBIAN_VERSION=$(NEXT_VERSION_ID)
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	-rm man/check-support-status.*1
	-rm check-support-status
	debconf-updatepo
	make -C po clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	# compile and install catalogs
	make -C po update-mo
	make -C po install

override_dh_install:
	mkdir -p debian/debian-security-support/usr/share/debian-security-support/
	cp security-support.deb* debian/debian-security-support/usr/share/debian-security-support/
	dh_install

override_dh_installman:
	for man in man/check-support-status.txt.* ; do \
		[ -f "$$man" ] || continue ; \
		lang="$$(basename "$$man" | sed -e 's/^check-support-status\.txt\.//')" ; \
		a2x --format=manpage --no-xmllint "$$man" ; \
		mv man/check-support-status.1 "man/check-support-status.$$lang.1" ; \
		sed -i -e "s/\[% VERSION %\]/$(DEB_VERSION)/" "man/check-support-status.$$lang.1" ; \
	done
	a2x --format=manpage --no-xmllint man/check-support-status.txt
	sed -i -e "s/\[% VERSION %\]/$(DEB_VERSION)/" man/check-support-status.1
	# ignore an empty manpage created during build
	-rm -f debian/debian-security-support/usr/share/man/man1/check-support-status.1p
	dh_installman

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: supported-packages
Depends: @, sqv, librust-strfmt-dev
Restrictions: skippable

## debian-security-support 13+2024.01.30

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-security-support
 Section: admin
 Priority: optional
-Maintainer: Debian Security Team <team@security.debian.org>
+Maintainer: Debian Security Team <team@security.debian.org>,
 Uploaders: Holger Levsen <holger@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -16,7 +16,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-NEXT_VERSION_ID=14
+NEXT_VERSION_ID=13
 
 DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
 ifeq (,$(DEBIAN_VERSION))
@@ -27,7 +27,8 @@
 
 override_dh_install:
 	mkdir -p debian/debian-security-support/usr/share/debian-security-support/
-	cp security-support.deb* debian/debian-security-support/usr/share/debian-security-support/
+	cp security-support-ended.deb* debian/debian-security-support/usr/share/debian-security-support/
+	cp security-support-limited.deb* debian/debian-security-support/usr/share/debian-security-support/
 	dh_install
 
 override_dh_installman:
@@ -44,5 +45,13 @@
 	-rm -f debian/debian-security-support/usr/share/man/man1/check-support-status.1p
 	dh_installman
 
+override_dh_link:
+	# After Closing: #762594, check-security-status reads the debian version
+	# specific list file for ended and earlyend. This symlink is aimed to
+	# prevent breaking anything relying on the security-support-ended list
+	# file.
+	dh_link usr/share/debian-security-support/security-support-ended.deb"$(DEBIAN_VERSION)" usr/share/debian-security-support/security-support-ended
+	dh_link usr/share/debian-security-support/security-support-limited.deb"$(DEBIAN_VERSION)" usr/share/debian-security-support/security-support-limited
+
 override_dh_missing:
 	dh_missing --fail-missing

## debian-security-support 13+2024.08.15

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 13+2025.01.30

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-security-support
 Section: admin
 Priority: optional
-Maintainer: Debian Security Team <team@security.debian.org>,
+Maintainer: Debian Security Team <team@security.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
 Build-Depends: debhelper-compat (= 13),

## debian-security-support 13+2025.07.16

=== po/Makefile ===
# Makefile for various po files.
# From libintl-perl (1.24-1)

# Copyright: (C) 2002-2015, Guido Flohr <guido.flohr@cantanea.com>
# Copyright: (C) 2016 Santiago Ruano Rincón <santiago@debian.org>

# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any
# later version.

# A copy of the GPL-3 can be found at /usr/share/common-licenses/GPL-3 on
# any Debian system.

srcdir = .

CATALOGS  = $(LINGUAS)
MO_FILES = $(addsuffix .gmo, $(LINGUAS))

MSGMERGE = msgmerge --width=72
MSGFMT   = msgfmt
XGETTEXT = xgettext --width=72
MSGCAT   = msgcat
MSGATTRIB = msgattrib --width=72
CATOBJEXT = .po

include PACKAGE

TD = $(strip $(TEXTDOMAIN))

default: help

all: $(TD).pot update-po update-mo install

help:
	@echo "Available targets:"
	@echo "  pot                       - remake master catalog"
	@echo "  update-po                 - merge po files"
	@echo "  update-mo                 - regenerate mo files"
	@echo "  install                   - install mo files"
	@echo "  all                       - all of the above"

POTFILES = $(srcdir)/POTFILES \
	$(shell cat $(srcdir)/POTFILES) 

pot: $(TD).pot 

clean:
	rm -f *~ *.bak *.gmo

$(TD).pot: $(POTFILES)
	$(XGETTEXT) --output=$(srcdir)/$(TD).pox --from-code=utf-8 \
		--language=Shell \
		--add-comments=TRANSLATORS: --files-from=$(srcdir)/POTFILES \
		--copyright-holder="$(COPYRIGHT_HOLDER)" \
		--msgid-bugs-address="$(MSGID_BUGS_ADDRESS)" && \
	rm -f $@ && mv $(TD).pox $@

install: $(MO_FILES)
	cd $(srcdir); \
	targetdir='../debian/debian-security-support/usr/share/locale/' \
	languages='$(LINGUAS)'; \
	for lang in $$languages; do \
		mkdir -p "$$targetdir/$$lang/LC_MESSAGES" || exit 1; \
		dest="$$targetdir/$$lang/LC_MESSAGES/$(TD).mo"; \
		cat="$$lang.gmo"; \
		echo "installing $$cat as $$dest"; \
		cp -f $$cat $$dest && chmod 644 $$dest || exit 1; \
	done

update-mo: $(MO_FILES)

update-po:
	$(MAKE) $(TD).pot
	cd $(srcdir); \
        catalogs='$(CATALOGS)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
          mv $$lang.po $$lang.old.po; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.old.po $(TD).pot -o $$lang.po; then \
		    if test -f ../debian/po/$$lang.po ; then \
			  $(MSGCAT) --use-first -o $$lang.compendium.po ../debian/po/$$lang.po $$lang.po ;  \
			  $(MSGCAT) --use-first -o update.po $$lang.compendium.po $$lang.po ; \
			  $(MSGMERGE) update.po $(TD).pot | $(MSGATTRIB) --no-obsolete > $$lang.po ;\
			  rm update.po $$lang.compendium.po ; \
		    fi; \
            rm -f $$lang.old.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.po; \
            mv $$lang.old.po $$lang.po; \
          fi; \
        done

.SUFFIXES:
.SUFFIXES: .po .gmo

.po.gmo:
	$(MSGFMT) --check --statistics --verbose -o $@ $<

## debian-security-support 13+2026.01.04

=== debian/changelog ===
debian-security-support (1:13+2026.01.04) trixie; urgency=medium

  [ Holger Levsen ]
  * deb13: mark wpewebkit as unsupported. Closes: #1118273.

  [ Jochen Sprickerhof ]
  * deb13+12+11: mark hdf5 as limited supported. Closes: 1117607.

  [ Moritz Muehlenhoff ]
  * deb13+12: mark zabbix as limited support. Closes: #1124558.

 -- Holger Levsen <holger@debian.org>  Sun, 04 Jan 2026 13:09:01 +0100

## debian-security-support 14+2025.12.11

=== debian/changelog ===
debian-security-support (1:14+2025.12.11) unstable; urgency=medium

  [ Holger Levsen ]
  * hello forky:
    - increase epoch.
    - add security-support.deb14.
    - drop security-support.deb10.
  * debian/control: drop Rules-Requires-Root: no (now the default).

  [ Jochen Sprickerhof ]
  * Mark hdf5 as limited supported. Closes: #1117722.

 -- Holger Levsen <holger@debian.org>  Thu, 11 Dec 2025 18:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 14+2026.01.04

=== debian/changelog ===
debian-security-support (1:14+2026.01.04) unstable; urgency=medium

  [ Holger Levsen ]
  * deb14+13: mark wpewebkit as unsupported. Closes: #1118273.
  * deb14: mark zabbix as limited support. Closes: #1124558.
  * deb11: mark guix as non-supported, thanks to Roberto C. Sánchez,
    see #1112246.
  * Bump standards version to 4.7.3 and stop stating optional priority.

  [ Sylvain Beucler ]
  * deb11: add keras to non-supported.

  [ Moritz Muehlenhoff ]
  * deb13+12: mark zabbix as limited support, see #1124558.

  [ Emilio Pozuelo Monfort ]
  * deb11: mark node-node-forge as not supported. Closes: #1124248.

  [ Bastien Roucariès ]
  * deb12: mark dnsdist, pdns, pdns-recursor as EOL. Closes: #1119290.
  * deb11: mark dnsdist, pdns, in bullseye as EOL.

 -- Holger Levsen <holger@debian.org>  Sun, 04 Jan 2026 12:59:32 +0100

## debian-security-support 14+2026.01.18

=== debian/changelog ===
debian-security-support (1:14+2026.01.18) unstable; urgency=medium

  [ Tobias Frost ]
  * deb11: mark zabbix as limited support. Closes: #1124558.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Jan 2026 13:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: debian-security-support
 Section: admin
-Priority: optional
 Maintainer: Debian Security Team <team@security.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
@@ -16,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 14+2026.02.05

=== debian/changelog ===
debian-security-support (1:14+2026.02.05) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * deb11: mark freeimage as non-supported in bullseye LTS. Salsa: 56.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Feb 2026 10:57:20 +0100

## debian-security-support 2014.05.16+deb6u1

=== debian/changelog ===
debian-security-support (2014.05.16+deb6u1) squeeze-lts; urgency=low

  * Add initial list of unsupported packages in squeeze-lts, some are
    still under discussion on the mailing list
  * Disable test suite temporarily

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 20 May 2014 13:23:49 +0000

=== debian/control ===
Source: debian-security-support
Section: admin
Priority: optional
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Uploaders: Debian Security Team <team@security.debian.org>
Build-Depends: debhelper (>= 8~),
    asciidoc,
    gettext,
    libfile-slurp-perl,
    libtest-command-perl,
    libtest-differences-perl,
    xmlto,
Standards-Version: 3.9.5

Package: debian-security-support
Architecture: all
Depends: ${misc:Depends},
    adduser,
    gettext-base,
Description: Identify installed packages with ended/limited security support
 For some Debian packages, maintaining security support is not
 feasible for the planned life cycle. For other packages, security
 support is limited, it does not cover the full feature set.
 .
 This package provides a program to identify installed packages
 where support had to be ended prematurely or is limited, and alerts
 the administrator in that case.

=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_VERSION ?= $(shell LANG=C dpkg -l base-files | awk '($$1=="ii"){print $$3}' | cut -d. -f1)

%:
	dh $@

override_dh_clean:
	dh_clean
	-rm check-support-status.1

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install
	# compile and install catalogs
	for po in po/*.po ; do \
		bn="$$(basename "$$po")" ; \
		[ "$$bn" = 'messages.po' ] && continue ; \
		mkdir -p "debian/debian-security-support/usr/share/locale/$${bn%%.po}/LC_MESSAGES" ; \
		msgfmt \
			-o "debian/debian-security-support/usr/share/locale/$${bn%%.po}/LC_MESSAGES/debian-security-support.mo" \
			"$$po" ; \
	done

override_dh_install:
	mkdir -p debian/tmp/
	cp security-support-ended.deb$(DEBIAN_VERSION) debian/tmp/security-support-ended
	cp security-support-limited debian/tmp/security-support-limited
	dh_install

override_dh_installman:
	a2x --format=manpage --no-xmllint check-support-status.txt
	dh_installman

## debian-security-support 2014.05.24+deb6u1

=== debian/changelog ===
debian-security-support (2014.05.24+deb6u1) squeeze-lts; urgency=low

  * Update list of unsupported packages as per discussion on 
    debian-lts@lists.debian.org

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 26 May 2014 10:32:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 override_dh_clean:
 	dh_clean
 	-rm check-support-status.1
-
-override_dh_auto_test:
-	:
 
 override_dh_auto_install:
 	dh_auto_install

## debian-security-support 2014.05.29+deb6u1

=== debian/changelog ===
debian-security-support (2014.05.29+deb6u1) unstable; urgency=low

  * Rebuild for squeeze-lts

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 29 May 2014 23:50:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,12 @@
 Build-Depends: debhelper (>= 8~),
     asciidoc,
     gettext,
+    gawk,
     libfile-slurp-perl,
     libtest-command-perl,
     libtest-differences-perl,
+    mawk,
+    original-awk,
     xmlto,
 Standards-Version: 3.9.5

## debian-security-support 2014.07.31

=== debian/control ===
Source: debian-security-support
Section: admin
Priority: optional
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Uploaders: Debian Security Team <team@security.debian.org>
Build-Depends: debhelper (>= 8~),
    asciidoc,
    gettext,
    gawk,
    libfile-slurp-perl,
    libtest-command-perl,
    libtest-differences-perl,
    mawk,
    original-awk,
    xmlto,
Standards-Version: 3.9.5

Package: debian-security-support
Architecture: all
Depends: ${misc:Depends},
    adduser,
    gettext-base,
Description: Debian security support coverage checker
 For some Debian packages, it is not feasible to maintain full security
 support for all use cases through the full distribution release
 cycle.
 .
 This package provides a program to identify installed packages for
 which support has had to be limited or prematurely ended, and to
 alert the administrator.
 .
 New versions of this package with updated checklists will be provided
 via standard and/or extended security support.

## debian-security-support 2014.09.07~bpo70+1

=== debian/changelog ===
debian-security-support (2014.09.07~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Holger Levsen <holger@debian.org>  Sun, 21 Sep 2014 13:25:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
     gettext,
     gawk,
     libfile-slurp-perl,
+    libtemplate-perl,
     libtest-command-perl,
     libtest-differences-perl,
     mawk,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 override_dh_clean:
 	dh_clean
 	-rm check-support-status.1
+	-rm check-support-status
 
 override_dh_auto_install:
 	dh_auto_install
@@ -29,4 +30,6 @@
 
 override_dh_installman:
 	a2x --format=manpage --no-xmllint check-support-status.txt
+	# ignore an empty manpage created during build
+	-rm debian/debian-security-support/usr/share/man/man1/check-support-status.1p
 	dh_installman

## debian-security-support 2014.09.07+deb6u1

=== debian/changelog ===
debian-security-support (2014.09.07+deb6u1) unstable; urgency=low

  * Rebuild for squeeze-lts

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 07 Sep 2014 15:09:14 +0200

## debian-security-support 2014.09.11~deb6u1

=== debian/changelog ===
debian-security-support (2014.09.11~deb6u1) squeeze-lts; urgency=low

  * Rebuild for squeeze-lts

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 11 Sep 2014 23:32:02 +0200

## debian-security-support 2014.12.08~bpo60+1

=== debian/changelog ===
debian-security-support (2014.12.08~bpo60+1) squeeze-lts; urgency=low

  * Rebuild for squeeze-lts

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 08 Dec 2014 21:33:59 +0100

## debian-security-support 2014.12.17~bpo60+1

=== debian/changelog ===
debian-security-support (2014.12.17~bpo60+1) squeeze-lts; urgency=low

  * Rebuild for squeeze-lts

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 17 Dec 2014 20:55:23 +0100

## debian-security-support 2015.04.04~~deb6u1

=== debian/changelog ===
debian-security-support (2015.04.04~~deb6u1) squeeze-lts; urgency=low

  * Rebuild for squeeze-lts.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Apr 2015 21:46:17 +0000

## debian-security-support 2015.04.04~bpo70+1

=== debian/changelog ===
debian-security-support (2015.04.04~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Apr 2015 23:25:56 +0200

## debian-security-support 2015.04.04~deb7u1

=== debian/changelog ===
debian-security-support (2015.04.04~deb7u1) wheezy; urgency=low

  * Rebuild for wheezy

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 25 May 2015 20:59:17 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
     original-awk,
     xmlto,
 Standards-Version: 3.9.5
+Vcs-git: git://git.debian.org/git/collab-maint/debian-security-support.git/
 
 Package: debian-security-support
 Architecture: all

## debian-security-support 2016.01.07~deb6u1

=== debian/changelog ===
debian-security-support (2016.01.07~deb6u1) squeeze-lts; urgency=medium

  * Team upload.
  * Rebuild for squeeze-lts.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Jan 2016 17:19:40 +0100

## debian-security-support 2016.01.07

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
     mawk,
     original-awk,
     xmlto,
-Standards-Version: 3.9.5
-Vcs-git: git://git.debian.org/git/collab-maint/debian-security-support.git/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/debian-security-support.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git
 
 Package: debian-security-support
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,11 @@
 
 override_dh_clean:
 	dh_clean
-	-rm check-support-status.1
+	-rm man/check-support-status.*1
 	-rm check-support-status
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install --destdir=debian/tmp
 	# compile and install catalogs
 	for po in po/*.po ; do \
 		bn="$$(basename "$$po")" ; \
@@ -23,13 +23,19 @@
 	done
 
 override_dh_install:
-	mkdir -p debian/tmp/
-	cp security-support-ended.deb$(DEBIAN_VERSION) debian/tmp/security-support-ended
-	cp security-support-limited debian/tmp/security-support-limited
-	dh_install
+	mkdir -p debian/debian-security-support/usr/share/debian-security-support/
+	cp security-support-ended.deb$(DEBIAN_VERSION) debian/debian-security-support/usr/share/debian-security-support/security-support-ended
+	cp security-support-limited debian/debian-security-support/usr/share/debian-security-support/security-support-limited
+	dh_install --fail-missing
 
 override_dh_installman:
-	a2x --format=manpage --no-xmllint check-support-status.txt
+	for man in man/check-support-status.txt.* ; do \
+		[ -f "$$man" ] || continue ; \
+		lang="$$(basename "$$man" | sed -e 's/^check-support-status\.txt\.//')" ; \
+		a2x --format=manpage --no-xmllint "$$man" ; \
+		mv man/check-support-status.1 "man/check-support-status.$$lang.1" ; \
+	done
+	a2x --format=manpage --no-xmllint man/check-support-status.txt
 	# ignore an empty manpage created during build
 	-rm debian/debian-security-support/usr/share/man/man1/check-support-status.1p
 	dh_installman

## debian-security-support 2016.05.24

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,13 @@
 #!/usr/bin/make -f
 
-DEBIAN_VERSION ?= $(shell LANG=C dpkg -l base-files | awk '($$1=="ii"){print $$3}' | cut -d. -f1)
+NEXT_VERSION_ID=9
+
+DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
+ifeq (,$(DEBIAN_VERSION))
+  DEBIAN_VERSION=$(NEXT_VERSION_ID)
+endif
+
+VER=$(shell dpkg-parsechangelog | grep "^Version" | awk '{print $$2}' )
 
 %:
 	dh $@
@@ -24,7 +31,7 @@
 
 override_dh_install:
 	mkdir -p debian/debian-security-support/usr/share/debian-security-support/
-	cp security-support-ended.deb$(DEBIAN_VERSION) debian/debian-security-support/usr/share/debian-security-support/security-support-ended
+	cp security-support-ended.deb* debian/debian-security-support/usr/share/debian-security-support/
 	cp security-support-limited debian/debian-security-support/usr/share/debian-security-support/security-support-limited
 	dh_install --fail-missing
 
@@ -34,8 +41,17 @@
 		lang="$$(basename "$$man" | sed -e 's/^check-support-status\.txt\.//')" ; \
 		a2x --format=manpage --no-xmllint "$$man" ; \
 		mv man/check-support-status.1 "man/check-support-status.$$lang.1" ; \
+		sed -i -e "s/\[% VERSION %\]/$(VER)/" "man/check-support-status.$$lang.1" ; \
 	done
 	a2x --format=manpage --no-xmllint man/check-support-status.txt
+	sed -i -e "s/\[% VERSION %\]/$(VER)/" man/check-support-status.1
 	# ignore an empty manpage created during build
 	-rm debian/debian-security-support/usr/share/man/man1/check-support-status.1p
 	dh_installman
+
+override_dh_link:
+	# After Closing: #762594, check-security-status reads the debian version
+	# specific list file for ended and earlyend. This symlink is aimed to
+	# prevent breaking anything relying on the security-support-ended list
+	# file.
+	dh_link usr/share/debian-security-support/security-support-ended.deb"$(DEBIAN_VERSION)" usr/share/debian-security-support/security-support-ended

## debian-security-support 2017.01.03

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
     libtest-differences-perl,
     mawk,
     original-awk,
+    po-debconf,
     xmlto,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/debian-security-support.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git

## debian-security-support 2017.06.02

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
     po-debconf,
     xmlto,
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/debian-security-support.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git
 
 Package: debian-security-support

## debian-security-support 2018.01.29~deb7u1

=== debian/changelog ===
debian-security-support (2018.01.29~deb7u1) wheezy-security; urgency=medium

  * Rebuild for wheezy.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jan 2018 17:46:22 +0100

debian-security-support (2017.06.02+deb7u1) wheezy-security; urgency=high

  * Add gbp.conf for wheezy
  * Rebuild for wheezy lts

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Jun 2017 14:56:18 +0200

## debian-security-support 2018.01.29~deb7u2

=== debian/changelog ===
debian-security-support (2018.01.29~deb7u2) wheezy-security; urgency=medium

  * Non-maintainer upload.
  * Mark mysql-5.5 as unsupported starting on June 30th.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Jun 2019 14:23:57 +0200

## debian-security-support 2018.01.29~deb8u1

=== debian/changelog ===
debian-security-support (2018.01.29~deb8u1) oldstable-proposed-updates; urgency=medium

  * Rebuild for jessie

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jan 2018 17:30:46 +0100

debian-security-support (2017.06.02~deb8u1) jessie; urgency=medium

  * Rebuild for jessie.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Jun 2017 14:13:52 +0200

debian-security-support (2016.05.24~deb8u1) jessie; urgency=medium

  * Team upload.

  [ Santiago Ruano Rincón ]
  * Rebuild for Jessie.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Wed, 29 Jun 2016 15:53:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 9~),
     asciidoc,
     gettext,
     gawk,
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git

=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,14 @@
 	dh_clean
 	-rm man/check-support-status.*1
 	-rm check-support-status
+	debconf-updatepo
+	make -C po clean
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 	# compile and install catalogs
-	for po in po/*.po ; do \
-		bn="$$(basename "$$po")" ; \
-		[ "$$bn" = 'messages.po' ] && continue ; \
-		mkdir -p "debian/debian-security-support/usr/share/locale/$${bn%%.po}/LC_MESSAGES" ; \
-		msgfmt \
-			-o "debian/debian-security-support/usr/share/locale/$${bn%%.po}/LC_MESSAGES/debian-security-support.mo" \
-			"$$po" ; \
-	done
+	make -C po update-mo
+	make -C po install
 
 override_dh_install:
 	mkdir -p debian/debian-security-support/usr/share/debian-security-support/

## debian-security-support 2018.01.29~deb9u1

=== debian/changelog ===
debian-security-support (2018.01.29~deb9u1) stretch; urgency=medium

  * Rebuild for stretch

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jan 2018 17:23:45 +0100

## debian-security-support 2018.06.08

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
     po-debconf,
     xmlto,
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debian-security-support.git
+Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
+Vcs-Browser: https://salsa.debian.org/debian/debian-security-support
 
 Package: debian-security-support
 Architecture: all

## debian-security-support 2018.11.25

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 2019.02.01~deb9u1

=== debian/changelog ===
debian-security-support (2019.02.01~deb9u1) stretch; urgency=medium

  * Team upload.
  * Rebuild for stretch, without d/control changes.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 01 Feb 2019 13:17:26 -0500

## debian-security-support 2019.02.01

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 11),
     asciidoc,
     gettext,
     gawk,
@@ -15,7 +15,8 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 2019.02.02~deb9u1

=== debian/changelog ===
debian-security-support (2019.02.02~deb9u1) stretch; urgency=medium

  * Team upload.
  * Rebuild for stretch.
  * Re-add debian/compat and depend on debhelper instead of debhelper-compat.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Apr 2019 15:54:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper (>= 9~),
     asciidoc,
     gettext,
     gawk,

## debian-security-support 2019.06.13

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: debian-security-support
 Section: admin
 Priority: optional
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Holger Levsen <holger@debian.org>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 11),
     asciidoc,
     gettext,
     gawk,

## debian-security-support 2019.12.12~deb8u2

=== debian/changelog ===
debian-security-support (2019.12.12~deb8u2) jessie-security; urgency=medium

  * Rebuild for jessie-security.
  * Use debian/compat and depend on debhelper >= 9 to support building on
    jessie.

 -- Holger Levsen <holger@debian.org>  Thu, 13 Feb 2020 22:53:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Holger Levsen <holger@debian.org>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper (>= 9),
     asciidoc,
     gettext,
     gawk,
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

## debian-security-support 2019.12.12~deb10u1

=== debian/changelog ===
debian-security-support (2019.12.12~deb10u1) buster; urgency=medium

  * Re-uploaded for buster.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Dec 2019 23:57:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Holger Levsen <holger@debian.org>
 Uploaders: Debian Security Team <team@security.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 11),
     asciidoc,
     gettext,
     gawk,

## debian-security-support 2020.02.25

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
     original-awk,
     po-debconf,
     xmlto,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/debian-security-support.git
 Vcs-Browser: https://salsa.debian.org/debian/debian-security-support

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-NEXT_VERSION_ID=9
+NEXT_VERSION_ID=11
 
 DEBIAN_VERSION ?= $(shell cat /etc/debian_version | grep '[0-9.]' | cut -d. -f1)
 ifeq (,$(DEBIAN_VERSION))

## debian-security-support 2020.04.16~deb10u2

=== debian/changelog ===
debian-security-support (2020.04.16~deb10u2) buster; urgency=medium

  * Re-upload for buster.

 -- Holger Levsen <holger@debian.org>  Sat, 02 May 2020 12:00:57 +0200

## debian-security-support 2020.04.16~deb10u2+nmu1

=== debian/changelog ===
debian-security-support (2020.04.16~deb10u2+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:15:47 +0800
